# Uses of Class
org.apache.cxf.service.model.BindingInfo

Packages that use BindingInfo
Package
Description
org.apache.cxf.binding
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.service
org.apache.cxf.service.model

- ## Uses of BindingInfo in org.apache.cxf.binding

  Methods in org.apache.cxf.binding that return BindingInfo
  Modifier and Type
  Method
  Description
  `BindingInfo`
  AbstractBindingFactory.`createBindingInfo(ServiceInfo service, String namespace, Object config)`
  Creates a "default" BindingInfo object for the service.
  `BindingInfo`
  AbstractBindingFactory.`createBindingInfo(Service service, String namespace, Object config)`
  Creates a "default" BindingInfo object for the service.
  `BindingInfo`
  BindingFactory.`createBindingInfo(Service service, String namespace, Object configObject)`
  Create a "default" BindingInfo object for the service.
  `BindingInfo`
  Binding.`getBindingInfo()`
  Get the BindingInfo for this binding.
  Methods in org.apache.cxf.binding with parameters of type BindingInfo
  Modifier and Type
  Method
  Description
  `Binding`
  BindingFactory.`createBinding(BindingInfo binding)`
  Create a Binding from the BindingInfo metadata.

- ## Uses of BindingInfo in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that return BindingInfo
  Modifier and Type
  Method
  Description
  `protected abstract BindingInfo`
  AbstractEndpointFactory.`createBindingInfo()`

- ## Uses of BindingInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type BindingInfo
  Modifier and Type
  Method
  Description
  `protected boolean`
  AbstractOutDatabindingInterceptor.`writeToOutputStream(Message m, BindingInfo info, Service s)`

- ## Uses of BindingInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service with parameters of type BindingInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(BindingInfo bindingInfo)`
  `void`
  ServiceModelVisitor.`end(BindingInfo bindingInfo)`

- ## Uses of BindingInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return BindingInfo
  Modifier and Type
  Method
  Description
  `BindingInfo`
  BindingOperationInfo.`getBinding()`
  `BindingInfo`
  EndpointInfo.`getBinding()`
  `BindingInfo`
  ServiceInfo.`getBinding(QName qn)`
  Methods in org.apache.cxf.service.model that return types with arguments of type BindingInfo
  Modifier and Type
  Method
  Description
  `Collection<BindingInfo>`
  ServiceInfo.`getBindings()`
  Methods in org.apache.cxf.service.model with parameters of type BindingInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceInfo.`addBinding(BindingInfo binding)`
  `void`
  EndpointInfo.`setBinding(BindingInfo b)`
  Constructors in org.apache.cxf.service.model with parameters of type BindingInfo
  Modifier
  Constructor
  Description
  ``
  `BindingOperationInfo(BindingInfo bi, OperationInfo opinfo)`